Subject: RE: [External] : bug#48307: Feature request: provide default keybindings to change the font size in all windows

From: Drew Adams <[email-masked]>
Date: Mon, 10 May 2021 14:33:23 +0000

> The patch I just sent avoids that problem, and does what other
> programs do when the user zooms: their frames are not resized.

Doing just what other programs do can be good or bad -
a blessing or a curse.  It's often better to be able to
do so, but not be limited to doing so.

Not resizing the frame to continue to show the buffer
in the same way within it (e.g. perhaps no wrapping
and no wasted blank space at the right) is not
necessarily what a given user wants in a given context.

I use automatic fitting of frames to the (single) buffer
shown in them, by default.  Zooming a frame, and having
it continue to fit the text the same way, is a feature,
not a bug.  Like most features, it should of course be
optional.

As I mentioned in a earlier mail in this thread today,
I provided similar optional behavior for text scaling.

Zooming out by text scaling shouldn't necessarily add,
in effect, a lot of blank space at the right.  (I like
to avoid such wasted space, whether it's for windows
or frames, in general.)